Package org.apache.activemq.artemis.jms.client.compatible1X

## Class ActiveMQCompatibleMessage

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQMessage
  - - org.apache.activemq.artemis.jms.client.compatible1X.ActiveMQCompatibleMessage

- All Implemented Interfaces:
    `javax.jms.Message`

      public class ActiveMQCompatibleMessage
      extends ActiveMQMessage

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `message, OLD_QUEUE_QUALIFIED_PREFIX, OLD_TEMP_QUEUE_QUALIFED_PREFIX, OLD_TEMP_TOPIC_QUALIFED_PREFIX, OLD_TOPIC_QUALIFIED_PREFIX, propertiesReadOnly, readOnly, replyTo, TYPE`

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQCompatibleMessage()` |
    `ActiveMQCompatibleMessage​(byte type, ClientSession session)` |
    `ActiveMQCompatibleMessage​(javax.jms.Message foreign, byte type, ClientSession session)` |
    `ActiveMQCompatibleMessage​(javax.jms.Message foreign, ClientSession session)` |
    `ActiveMQCompatibleMessage​(ClientMessage message, ClientSession session)` |
    `ActiveMQCompatibleMessage​(ClientSession session)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.activemq.artemis.api.core.SimpleString` | `checkPrefix​(org.apache.activemq.artemis.api.core.SimpleString address)` |
    `protected static org.apache.activemq.artemis.api.core.SimpleString` | `checkPrefix1X​(org.apache.activemq.artemis.api.core.SimpleString address)` |
    `static ActiveMQMessage` | `createMessage​(ClientMessage message, ClientSession session, ConnectionFactoryOptions options)` |
    `javax.jms.Destination` | `getJMSReplyTo()` |
    `void` | `setJMSReplyTo​(javax.jms.Destination dest)` |

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `acknowledge, checkBuffer, checkPrefixStr, checkRead, checkWrite, clearBody, clearProperties, coreCompositeTypeToJMSCompositeType, coreMaptoJMSMap, createMessage, doBeforeReceive, doBeforeSend, getBody, getBodyInternal, getBooleanProperty, getByteProperty, getCoreMessage, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, getType, hasNoBody, isBodyAssignableTo, prefixOf, propertyExists, resetMessageID, saveToOutputStream, setBooleanProperty, setByteProperty, setClientAcknowledge, setDoubleProperty, setFloatProperty, setIndividualAcknowledge, setInputStream, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setOutputStream, setShortProperty, setStringProperty, toString, waitCompletionOnStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQCompatibleMessage

          public ActiveMQCompatibleMessage​(byte type,
                                           ClientSession session)

    - #### ActiveMQCompatibleMessage

          public ActiveMQCompatibleMessage​(ClientSession session)

    - #### ActiveMQCompatibleMessage

          public ActiveMQCompatibleMessage​(ClientMessage message,
                                           ClientSession session)

    - #### ActiveMQCompatibleMessage

          public ActiveMQCompatibleMessage​(javax.jms.Message foreign,
                                           ClientSession session)
                                    throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

    - #### ActiveMQCompatibleMessage

          public ActiveMQCompatibleMessage()

    - #### ActiveMQCompatibleMessage

          public ActiveMQCompatibleMessage​(javax.jms.Message foreign,
                                           byte type,
                                           ClientSession session)
                                    throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### getJMSReplyTo

          public javax.jms.Destination getJMSReplyTo()
                                              throws javax.jms.JMSException

      Specified by:
        `getJMSReplyTo` in interface `javax.jms.Message`
      Overrides:
        `getJMSReplyTo` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### setJMSReplyTo

          public void setJMSReplyTo​(javax.jms.Destination dest)
                             throws javax.jms.JMSException

      Specified by:
        `setJMSReplyTo` in interface `javax.jms.Message`
      Overrides:
        `setJMSReplyTo` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### checkPrefix

          public org.apache.activemq.artemis.api.core.SimpleString checkPrefix​(org.apache.activemq.artemis.api.core.SimpleString address)

      Overrides:
        `checkPrefix` in class `ActiveMQMessage`

    - #### checkPrefix1X

          protected static org.apache.activemq.artemis.api.core.SimpleString checkPrefix1X​(org.apache.activemq.artemis.api.core.SimpleString address)

    - #### createMessage

          public static ActiveMQMessage createMessage​(ClientMessage message,
                                                      ClientSession session,
                                                      ConnectionFactoryOptions options)